org.springframework.ldap.core.support

## Class LookupAttemptingCallback

- java.lang.Object
- - org.springframework.ldap.core.support.LookupAttemptingCallback

- All Implemented Interfaces:
    AuthenticatedLdapEntryContextCallback, AuthenticatedLdapEntryContextMapper<DirContextOperations>

      public class LookupAttemptingCallback
      extends Object
      implements AuthenticatedLdapEntryContextCallback, AuthenticatedLdapEntryContextMapper<DirContextOperations>

  Attempts to perform an LDAP operation in the authenticated context, because Active Directory might allow bind with incorrect password (specifically empty password), and later refuse operations. We want to fail fast when authenticating. `mapWithContext(javax.naming.directory.DirContext, org.springframework.ldap.core.LdapEntryIdentification)` returns the `DirContextOperations` instance that results from the lookup operation. This instance can be used to obtain information regarding the authenticated user.
  Since:
    1.3.1
  Author:
    Hugo Josefson, Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupAttemptingCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeWithContext(DirContext ctx, LdapEntryIdentification ldapEntryIdentification)` Perform some LDAP operation on the supplied authenticated `DirContext` instance.
    `DirContextOperations` | `mapWithContext(DirContext ctx, LdapEntryIdentification ldapEntryIdentification)` Perform some LDAP operation on the supplied authenticated `DirContext` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupAttemptingCallback

          public LookupAttemptingCallback()

  - ### Method Detail

    - #### executeWithContext

          public void executeWithContext(DirContext ctx,
                                         LdapEntryIdentification ldapEntryIdentification)

      Description copied from interface: `AuthenticatedLdapEntryContextCallback`
      Perform some LDAP operation on the supplied authenticated `DirContext` instance. The target context will be automatically closed.
      Specified by:
        `executeWithContext` in interface `AuthenticatedLdapEntryContextCallback`
      Parameters:
        `ctx` - the `DirContext` instance to perform an operation on.
        `ldapEntryIdentification` - the identification of the LDAP entry used to authenticate the supplied `DirContext`.

    - #### mapWithContext

          public DirContextOperations mapWithContext(DirContext ctx,
                                                     LdapEntryIdentification ldapEntryIdentification)

      Description copied from interface: `AuthenticatedLdapEntryContextMapper`
      Perform some LDAP operation on the supplied authenticated `DirContext` instance. The target context will be automatically closed.
      Specified by:
        `mapWithContext` in interface `AuthenticatedLdapEntryContextMapper<DirContextOperations>`
      Parameters:
        `ctx` - the `DirContext` instance to perform an operation on.
        `ldapEntryIdentification` - the identification of the LDAP entry used to authenticate the supplied `DirContext`.
      Returns:
        the result of the operation, if any.